Bug 626534 - bluetooth generates AVC errors
Summary: bluetooth generates AVC errors
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-23 19:06 UTC by Matthew Garrett
Modified: 2013-02-20 19:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-20 19:17:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Garrett 2010-08-23 19:06:04 UTC
Attempting to connect to a device gives me errors like:

Aug 23 15:03:48 localhost bluetoothd[29813]: link_key_request (sba=00:24:7E:40:64:18, dba=D8:A2:5E:F9:15:4D)
Aug 23 15:03:48 localhost bluetoothd[29813]: pin_code_request (sba=00:24:7E:40:64:18, dba=D8:A2:5E:F9:15:4D)
Aug 23 15:04:00 localhost bluetoothd[29813]: link_key_notify (sba=00:24:7E:40:64:18, dba=D8:A2:5E:F9:15:4D, type=0)
Aug 23 15:04:00 localhost bluetoothd[29813]: getsockopt(L2CAP_OPTIONS): Permission denied (13)
Aug 23 15:04:00 localhost kernel: [ 2622.604347] type=1400 audit(1282590240.571:35319): avc:  denied  { getopt } for  pid=29813 comm="bluetoothd" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=socket
Aug 23 15:04:00 localhost bluetoothd[29813]: getsockopt(L2CAP_OPTIONS): Permission denied (13)
Aug 23 15:04:00 localhost kernel: [ 2622.645636] type=1400 audit(1282590240.612:35320): avc:  denied  { getopt } for  pid=29813 comm="bluetoothd" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=socket
Aug 23 15:04:10 localhost bluetoothd[29813]: link_key_request (sba=00:24:7E:40:64:18, dba=D8:A2:5E:F9:15:4D)
Aug 23 15:04:10 localhost bluetoothd[29813]: getsockopt(L2CAP_OPTIONS): Permission denied (13)
Aug 23 15:04:10 localhost kernel: [ 2632.797981] type=1400 audit(1282590250.764:35321): avc:  denied  { getopt } for  pid=29813 comm="bluetoothd" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=socket
Aug 23 15:04:10 localhost bluetoothd[29813]: getsockopt(L2CAP_OPTIONS): Permission denied (13)
Aug 23 15:04:10 localhost kernel: [ 2632.803025] type=1400 audit(1282590250.769:35322): avc:  denied  { getopt } for  pid=29813 comm="bluetoothd" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=socket

Comment 1 Bastien Nocera 2011-05-04 15:00:53 UTC
Matthew, does this still happen?

Comment 3 Christopher Beland 2013-02-20 19:17:50 UTC
The Version was originally reported as "rawhide"; I assume this is the Rawhide that got turned into Fedora 14 (or 15?)

In any case, the code is old enough to be past its End of Life.  Though I can't exactly get Bluetooth working on Fedora 18, I don't see these AVC messages when I try.  Feel free to update the Version field and reopen if this is still happening.


Note You need to log in before you can comment on or make changes to this bug.